<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Features.Sentential</span><span>
</span><span id="line-2"></span><span>  </span><span class="hs-special">(</span><span> </span><span class="annot"><a href="Features.Sentential.html#SF"><span class="hs-identifier">SF</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-glyph">..</span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-3"></span><span>    </span><span class="annot"><a href="Features.Sentential.html#SentenceType"><span class="hs-identifier">SentenceType</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-glyph">..</span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-4"></span><span>  </span><span class="hs-special">)</span><span>
</span><span id="line-5"></span><span class="hs-keyword">where</span><span>
</span><span id="line-6"></span><span>
</span><span id="line-7"></span><span class="hs-comment">-- | Sentence features</span><span>
</span><span id="line-8"></span><span class="hs-keyword">data</span><span> </span><span id="SF"><span class="annot"><a href="Features.Sentential.html#SF"><span class="hs-identifier hs-var">SF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="SF"><span class="annot"><a href="Features.Sentential.html#SF"><span class="hs-identifier hs-var">SF</span></a></span></span><span> </span><span class="annot"><a href="Features.Sentential.html#SentenceType"><span class="hs-identifier hs-type">SentenceType</span></a></span><span> </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679081515"><span id="local-6989586621679081517"><span class="annot"><span class="annottext">SF -&gt; SF -&gt; Bool
(SF -&gt; SF -&gt; Bool) -&gt; (SF -&gt; SF -&gt; Bool) -&gt; Eq SF
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: SF -&gt; SF -&gt; Bool
$c/= :: SF -&gt; SF -&gt; Bool
== :: SF -&gt; SF -&gt; Bool
$c== :: SF -&gt; SF -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679081508"><span id="local-6989586621679081510"><span id="local-6989586621679081512"><span class="annot"><span class="annottext">Int -&gt; SF -&gt; ShowS
[SF] -&gt; ShowS
SF -&gt; String
(Int -&gt; SF -&gt; ShowS)
-&gt; (SF -&gt; String) -&gt; ([SF] -&gt; ShowS) -&gt; Show SF
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [SF] -&gt; ShowS
$cshowList :: [SF] -&gt; ShowS
show :: SF -&gt; String
$cshow :: SF -&gt; String
showsPrec :: Int -&gt; SF -&gt; ShowS
$cshowsPrec :: Int -&gt; SF -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-9"></span><span>
</span><span id="line-10"></span><span class="hs-comment">-- | At the moment, a sentence can be of only two types.</span><span>
</span><span id="line-11"></span><span class="hs-keyword">data</span><span> </span><span id="SentenceType"><span class="annot"><a href="Features.Sentential.html#SentenceType"><span class="hs-identifier hs-var">SentenceType</span></a></span></span><span>
</span><span id="line-12"></span><span>  </span><span class="hs-glyph">=</span><span> </span><span id="Declarative"><span class="annot"><a href="Features.Sentential.html#Declarative"><span class="hs-identifier hs-var">Declarative</span></a></span></span><span>
</span><span id="line-13"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="YesNoInterrogative"><span class="annot"><a href="Features.Sentential.html#YesNoInterrogative"><span class="hs-identifier hs-var">YesNoInterrogative</span></a></span></span><span>
</span><span id="line-14"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679081501"><span id="local-6989586621679081503"><span class="annot"><span class="annottext">SentenceType -&gt; SentenceType -&gt; Bool
(SentenceType -&gt; SentenceType -&gt; Bool)
-&gt; (SentenceType -&gt; SentenceType -&gt; Bool) -&gt; Eq SentenceType
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: SentenceType -&gt; SentenceType -&gt; Bool
$c/= :: SentenceType -&gt; SentenceType -&gt; Bool
== :: SentenceType -&gt; SentenceType -&gt; Bool
$c== :: SentenceType -&gt; SentenceType -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679081495"><span id="local-6989586621679081497"><span id="local-6989586621679081499"><span class="annot"><span class="annottext">Int -&gt; SentenceType -&gt; ShowS
[SentenceType] -&gt; ShowS
SentenceType -&gt; String
(Int -&gt; SentenceType -&gt; ShowS)
-&gt; (SentenceType -&gt; String)
-&gt; ([SentenceType] -&gt; ShowS)
-&gt; Show SentenceType
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [SentenceType] -&gt; ShowS
$cshowList :: [SentenceType] -&gt; ShowS
show :: SentenceType -&gt; String
$cshow :: SentenceType -&gt; String
showsPrec :: Int -&gt; SentenceType -&gt; ShowS
$cshowsPrec :: Int -&gt; SentenceType -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-15"></span></pre></body></html>